// Code generated by protoc-gen-go-grpc. DO NOT EDIT.

package private

import (
	context "context"
	empty "github.com/golang/protobuf/ptypes/empty"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
)

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
// Requires gRPC-Go v1.32.0 or later.
const _ = grpc.SupportPackageIsVersion7

// TranslationServiceClient is the client API for TranslationService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
type TranslationServiceClient interface {
	GetTranslation(ctx context.Context, in *GetTranslationRequest, opts ...grpc.CallOption) (*GetTranslationResponse, error)
	CreateTranslation(ctx context.Context, in *CreateTranslationRequest, opts ...grpc.CallOption) (*CreateTranslationResponse, error)
	CreateOrUpdateTranslation(ctx context.Context, in *CreateOrUpdateTranslationRequest, opts ...grpc.CallOption) (*CreateOrUpdateTranslationResponse, error)
	DeleteTranslation(ctx context.Context, in *DeleteTranslationRequest, opts ...grpc.CallOption) (*empty.Empty, error)
	ListTranslations(ctx context.Context, in *ListTranslationsRequest, opts ...grpc.CallOption) (*ListTranslationsResponse, error)
	DeleteTranslationLocale(ctx context.Context, in *DeleteTranslationLocaleRequest, opts ...grpc.CallOption) (*empty.Empty, error)
	ImportTranslations(ctx context.Context, in *ImportTranslationsRequest, opts ...grpc.CallOption) (*ImportTranslationsResponse, error)
	ExportTranslations(ctx context.Context, in *ExportTranslationsRequest, opts ...grpc.CallOption) (*ExportTranslationsResponse, error)
}

type translationServiceClient struct {
	cc grpc.ClientConnInterface
}

func NewTranslationServiceClient(cc grpc.ClientConnInterface) TranslationServiceClient {
	return &translationServiceClient{cc}
}

func (c *translationServiceClient) GetTranslation(ctx context.Context, in *GetTranslationRequest, opts ...grpc.CallOption) (*GetTranslationResponse, error) {
	out := new(GetTranslationResponse)
	err := c.cc.Invoke(ctx, "/language.service.v1.private.TranslationService/GetTranslation", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *translationServiceClient) CreateTranslation(ctx context.Context, in *CreateTranslationRequest, opts ...grpc.CallOption) (*CreateTranslationResponse, error) {
	out := new(CreateTranslationResponse)
	err := c.cc.Invoke(ctx, "/language.service.v1.private.TranslationService/CreateTranslation", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *translationServiceClient) CreateOrUpdateTranslation(ctx context.Context, in *CreateOrUpdateTranslationRequest, opts ...grpc.CallOption) (*CreateOrUpdateTranslationResponse, error) {
	out := new(CreateOrUpdateTranslationResponse)
	err := c.cc.Invoke(ctx, "/language.service.v1.private.TranslationService/CreateOrUpdateTranslation", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *translationServiceClient) DeleteTranslation(ctx context.Context, in *DeleteTranslationRequest, opts ...grpc.CallOption) (*empty.Empty, error) {
	out := new(empty.Empty)
	err := c.cc.Invoke(ctx, "/language.service.v1.private.TranslationService/DeleteTranslation", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *translationServiceClient) ListTranslations(ctx context.Context, in *ListTranslationsRequest, opts ...grpc.CallOption) (*ListTranslationsResponse, error) {
	out := new(ListTranslationsResponse)
	err := c.cc.Invoke(ctx, "/language.service.v1.private.TranslationService/ListTranslations", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *translationServiceClient) DeleteTranslationLocale(ctx context.Context, in *DeleteTranslationLocaleRequest, opts ...grpc.CallOption) (*empty.Empty, error) {
	out := new(empty.Empty)
	err := c.cc.Invoke(ctx, "/language.service.v1.private.TranslationService/DeleteTranslationLocale", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *translationServiceClient) ImportTranslations(ctx context.Context, in *ImportTranslationsRequest, opts ...grpc.CallOption) (*ImportTranslationsResponse, error) {
	out := new(ImportTranslationsResponse)
	err := c.cc.Invoke(ctx, "/language.service.v1.private.TranslationService/ImportTranslations", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *translationServiceClient) ExportTranslations(ctx context.Context, in *ExportTranslationsRequest, opts ...grpc.CallOption) (*ExportTranslationsResponse, error) {
	out := new(ExportTranslationsResponse)
	err := c.cc.Invoke(ctx, "/language.service.v1.private.TranslationService/ExportTranslations", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// TranslationServiceServer is the server API for TranslationService service.
// All implementations must embed UnimplementedTranslationServiceServer
// for forward compatibility
type TranslationServiceServer interface {
	GetTranslation(context.Context, *GetTranslationRequest) (*GetTranslationResponse, error)
	CreateTranslation(context.Context, *CreateTranslationRequest) (*CreateTranslationResponse, error)
	CreateOrUpdateTranslation(context.Context, *CreateOrUpdateTranslationRequest) (*CreateOrUpdateTranslationResponse, error)
	DeleteTranslation(context.Context, *DeleteTranslationRequest) (*empty.Empty, error)
	ListTranslations(context.Context, *ListTranslationsRequest) (*ListTranslationsResponse, error)
	DeleteTranslationLocale(context.Context, *DeleteTranslationLocaleRequest) (*empty.Empty, error)
	ImportTranslations(context.Context, *ImportTranslationsRequest) (*ImportTranslationsResponse, error)
	ExportTranslations(context.Context, *ExportTranslationsRequest) (*ExportTranslationsResponse, error)
	mustEmbedUnimplementedTranslationServiceServer()
}

// UnimplementedTranslationServiceServer must be embedded to have forward compatible implementations.
type UnimplementedTranslationServiceServer struct {
}

func (UnimplementedTranslationServiceServer) GetTranslation(context.Context, *GetTranslationRequest) (*GetTranslationResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetTranslation not implemented")
}
func (UnimplementedTranslationServiceServer) CreateTranslation(context.Context, *CreateTranslationRequest) (*CreateTranslationResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreateTranslation not implemented")
}
func (UnimplementedTranslationServiceServer) CreateOrUpdateTranslation(context.Context, *CreateOrUpdateTranslationRequest) (*CreateOrUpdateTranslationResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreateOrUpdateTranslation not implemented")
}
func (UnimplementedTranslationServiceServer) DeleteTranslation(context.Context, *DeleteTranslationRequest) (*empty.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeleteTranslation not implemented")
}
func (UnimplementedTranslationServiceServer) ListTranslations(context.Context, *ListTranslationsRequest) (*ListTranslationsResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListTranslations not implemented")
}
func (UnimplementedTranslationServiceServer) DeleteTranslationLocale(context.Context, *DeleteTranslationLocaleRequest) (*empty.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeleteTranslationLocale not implemented")
}
func (UnimplementedTranslationServiceServer) ImportTranslations(context.Context, *ImportTranslationsRequest) (*ImportTranslationsResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ImportTranslations not implemented")
}
func (UnimplementedTranslationServiceServer) ExportTranslations(context.Context, *ExportTranslationsRequest) (*ExportTranslationsResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ExportTranslations not implemented")
}
func (UnimplementedTranslationServiceServer) mustEmbedUnimplementedTranslationServiceServer() {}

// UnsafeTranslationServiceServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to TranslationServiceServer will
// result in compilation errors.
type UnsafeTranslationServiceServer interface {
	mustEmbedUnimplementedTranslationServiceServer()
}

func RegisterTranslationServiceServer(s grpc.ServiceRegistrar, srv TranslationServiceServer) {
	s.RegisterService(&TranslationService_ServiceDesc, srv)
}

func _TranslationService_GetTranslation_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetTranslationRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(TranslationServiceServer).GetTranslation(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/language.service.v1.private.TranslationService/GetTranslation",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(TranslationServiceServer).GetTranslation(ctx, req.(*GetTranslationRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _TranslationService_CreateTranslation_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateTranslationRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(TranslationServiceServer).CreateTranslation(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/language.service.v1.private.TranslationService/CreateTranslation",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(TranslationServiceServer).CreateTranslation(ctx, req.(*CreateTranslationRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _TranslationService_CreateOrUpdateTranslation_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateOrUpdateTranslationRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(TranslationServiceServer).CreateOrUpdateTranslation(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/language.service.v1.private.TranslationService/CreateOrUpdateTranslation",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(TranslationServiceServer).CreateOrUpdateTranslation(ctx, req.(*CreateOrUpdateTranslationRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _TranslationService_DeleteTranslation_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeleteTranslationRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(TranslationServiceServer).DeleteTranslation(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/language.service.v1.private.TranslationService/DeleteTranslation",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(TranslationServiceServer).DeleteTranslation(ctx, req.(*DeleteTranslationRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _TranslationService_ListTranslations_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListTranslationsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(TranslationServiceServer).ListTranslations(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/language.service.v1.private.TranslationService/ListTranslations",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(TranslationServiceServer).ListTranslations(ctx, req.(*ListTranslationsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _TranslationService_DeleteTranslationLocale_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeleteTranslationLocaleRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(TranslationServiceServer).DeleteTranslationLocale(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/language.service.v1.private.TranslationService/DeleteTranslationLocale",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(TranslationServiceServer).DeleteTranslationLocale(ctx, req.(*DeleteTranslationLocaleRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _TranslationService_ImportTranslations_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ImportTranslationsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(TranslationServiceServer).ImportTranslations(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/language.service.v1.private.TranslationService/ImportTranslations",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(TranslationServiceServer).ImportTranslations(ctx, req.(*ImportTranslationsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _TranslationService_ExportTranslations_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ExportTranslationsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(TranslationServiceServer).ExportTranslations(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/language.service.v1.private.TranslationService/ExportTranslations",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(TranslationServiceServer).ExportTranslations(ctx, req.(*ExportTranslationsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

// TranslationService_ServiceDesc is the grpc.ServiceDesc for TranslationService service.
// It's only intended for direct use with grpc.RegisterService,
// and not to be introspected or modified (even as a copy)
var TranslationService_ServiceDesc = grpc.ServiceDesc{
	ServiceName: "language.service.v1.private.TranslationService",
	HandlerType: (*TranslationServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "GetTranslation",
			Handler:    _TranslationService_GetTranslation_Handler,
		},
		{
			MethodName: "CreateTranslation",
			Handler:    _TranslationService_CreateTranslation_Handler,
		},
		{
			MethodName: "CreateOrUpdateTranslation",
			Handler:    _TranslationService_CreateOrUpdateTranslation_Handler,
		},
		{
			MethodName: "DeleteTranslation",
			Handler:    _TranslationService_DeleteTranslation_Handler,
		},
		{
			MethodName: "ListTranslations",
			Handler:    _TranslationService_ListTranslations_Handler,
		},
		{
			MethodName: "DeleteTranslationLocale",
			Handler:    _TranslationService_DeleteTranslationLocale_Handler,
		},
		{
			MethodName: "ImportTranslations",
			Handler:    _TranslationService_ImportTranslations_Handler,
		},
		{
			MethodName: "ExportTranslations",
			Handler:    _TranslationService_ExportTranslations_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "v1/private/translation.proto",
}
